Bug 197576 - Wrong KEYING mode in ifdown-ipsec
Wrong KEYING mode in ifdown-ipsec
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: initscripts (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-04 05:41 EDT by John
Modified: 2014-03-16 23:00 EDT (History)
1 user (show)

See Also:
Fixed In Version: 8.36-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-05 14:04:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John 2006-07-04 05:41:55 EDT
Description of problem:
If I setup IKE_METHOD=GSSAPI(in interface config 
file /etc/sysconfig/network-scripts/ifcfg-ipsecX) 
then /etc/sysconfig/network-scripts/ifup-ipsec work in right KEYING 
mode(automatic) becose have string
[ -n "$IKE_METHOD" ] && KEYING=automatic
But /etc/sysconfig/network-scripts/ifdown-ipsec work in wrong KEYING 
mode(manual) becose have not such string.

There is small patch(diff -u ifdown-ipsec.orig ifdown-ipsec)
--- ifdown-ipsec.orig   2005-03-29 00:42:23.000000000 +0400
+++ ifdown-ipsec        2006-07-04 13:21:49.000000000 +0400
@@ -32,6 +32,7 @@
   IKE_METHOD=RSA
 fi

+[ -n "$IKE_METHOD" ] && KEYING=automatic
 [ -z "$KEYING" ] && KEYING=manual

 if [ -n "$SRCNET" -o -n "$DSTNET" ]; then
Comment 1 Bill Nottingham 2006-07-05 14:04:18 EDT
Added in CVS, will be in 8.36-1. Thanks!

Note You need to log in before you can comment on or make changes to this bug.